//
//  Alerts.swift
//  SwiftUI for beginners
//
//  Created by Johan Sas on 02/09/2024.
//

import SwiftUI

struct Alerts: View {
    
    @State var showAlert = false
    @State var showSheet = false
    @State var showActionSheet = false
    
    var body: some View {
        Button("Show Alert") {
            showAlert.toggle()
        }.alert("Important Message", isPresented: $showAlert, actions: {
            
            Button("OK", role: .cancel) {
                
            }
        }, message: {
            Text("Showing you a alert")
        })
        
        Button("Show Sheet") {
            showSheet.toggle()
        }.sheet(isPresented: $showSheet) {
            SheetVIew()
        }
        
        Button("Show Action Sheet") {
            showActionSheet.toggle()
        }.confirmationDialog("Choose a Option", isPresented: $showActionSheet, actions: {
            Button(" Delete" , role: .destructive) {
                
            }
            
            Button(" Cancel" , role: .cancel) {
                
            }
        })
    }
}

#Preview {
    Alerts()
}
