//
//  ContentView.swift
//  SwiftUI for beginners
//
//  Created by Johan Sas on 27/08/2024.
//

import SwiftUI

struct ContentView: View {
    @EnvironmentObject var viewModel: ViewModel
    
    var colors = [Color.purple, Color.blue]
    
    var body: some View {
        CustomCard {
            Text("Hello ViewBuilder")
                .font(.headline)
            Image(systemName: "star")
                .foregroundStyle(.gray)
            GradientButton(colors: [Color.red, Color.pink]) {
                HStack {
                    Image(systemName: "flame.fill")
                    Text("Fire")
                        .bold()

                }
                    }
        }.gradientBackground(colors: colors)
    }
}

#Preview {
    ContentView()
        .environmentObject(ViewModel())
}
