//
//  CustomCard.swift
//  SwiftUI for beginners
//
//  Created by Johan Sas on 02/09/2024.
//

import SwiftUI

struct CustomCard<Content: View>: View {
    let content: Content
    
    init(@ViewBuilder content: () -> Content) {
        self.content = content()
    }
    
    var body: some View {
        VStack {
            content
        }
        .padding()
        .background(.white)
        .clipShape(RoundedRectangle(cornerRadius: 10))
        .shadow(radius: 5)
    }
}

#Preview {
    CustomCard {
        Text("Hello ViewBuilder")
            .font(.title)
            .foregroundStyle(.black)
    }
    .padding()
    .previewLayout(.sizeThatFits)
}
