//
//  GradientBackGround.swift
//  SwiftUI for beginners
//
//  Created by Johan Sas on 02/09/2024.
//

import SwiftUI

struct GradientBackGround: ViewModifier {
    var colors: [Color]
    
    func body(content: Content) -> some View {
        content
            .padding()
            .background(LinearGradient(gradient: Gradient(colors: colors), startPoint: .top, endPoint: .bottom))
            .clipShape(RoundedRectangle(cornerRadius: 15))
            .shadow(radius: 10)
    }
}

extension View {
    func gradientBackground(colors: [Color]) -> some View {
        self.modifier(GradientBackGround(colors: colors))
    }
}
