//
//  GradientButton.swift
//  SwiftUI for beginners
//
//  Created by Johan Sas on 02/09/2024.
//

import SwiftUI

struct GradientButton<Content: View>: View {
    let content: Content
    let colors: [Color]
    
    init(colors: [Color], @ViewBuilder content: () -> Content) {
        self.content = content()
        self.colors = colors
    }
    var body: some View {
        Button(action: {
            //
        }) {
            content
                .padding()
                .gradientBackground(colors: colors)
        }
    }
}

#Preview {
    GradientButton(colors: [Color.red, Color.pink]) {
        HStack {
            Image(systemName: "flame.fill")
            Text("Fire")
                .bold()

        }
            }
}
