//
//  Grids.swift
//  SwiftUI for beginners
//
//  Created by Johan Sas on 27/08/2024.
//

import SwiftUI

struct Grids: View {
    
    let items = 1...50
    let columns = [
        GridItem(.flexible()),
        GridItem(.flexible())
    ]
    
    let rows = [
        GridItem(.fixed(50)),
        GridItem(.fixed(50))
    ]
    
    var body: some View {
        
        ScrollView(.horizontal) {
            LazyHGrid(rows: rows, spacing: 20) {
                ForEach(items, id: \.self) { item in
                    Text("Item: \(item)")
                        .frame(width: 100, height: 50)
                        .padding()
                        .background(.orange)
                        .clipShape(RoundedRectangle(cornerRadius: 15))
                }
            }.padding()
        }
        
        ScrollView {
            LazyVGrid(columns: columns, spacing: 20) {
                ForEach(items, id: \.self) { item in
                    Text("Item: \(item)")
                        .frame(maxWidth: .infinity)
                        .padding()
                        .background(.blue)
                        .clipShape(RoundedRectangle(cornerRadius: 15))
                }
            }.padding()
        }
    }
}

#Preview {
    Grids()
}
