//
//  Groups.swift
//  SwiftUI for beginners
//
//  Created by Johan Sas on 27/08/2024.
//

import SwiftUI

struct Groups: View {
    
    @State var showGreeting = false
    
    var body: some View {
        Group {
            if showGreeting {
                Text("Hello SwiftUI")
                    .font(.largeTitle)
                    .foregroundStyle(.blue)
            }
            Text("Welcome to the first group")
                .font(.callout)
        }.padding()
            .background(.yellow)
            .clipShape(RoundedRectangle(cornerRadius: 25))
        
        Button(action: {
            showGreeting.toggle()
        }) {
           Text("Toggle Greeting")
        }.padding()
    }
}

#Preview {
    Groups()
}
