//
//  Lists.swift
//  SwiftUI for beginners
//
//  Created by Johan Sas on 28/08/2024.
//

import SwiftUI

struct Lists: View {
    
    @State var fruits = ["Apple", "Banana", "Cherry", "PineApple", "Pear"]
    @State var todos = ["Learn", "Code", "Create"]
    
    var body: some View {
        List {
            
            Section(header: Text("Groceries")) {
                ForEach(fruits, id: \.self) { item in
                    HStack {
                        Image(systemName: "star")
                            .foregroundStyle(.green)
                        Text(item)
                            .swipeActions {
                                Button(role: .destructive, action: {
                                    delete(item: item)
                                }) {
                                    Text("Delete")
                                }
                            }
                    }
                }
            }
            Section(header: Text("Todo")) {
                ForEach(todos, id: \.self) { item in
                    HStack {
                        Image(systemName: "star")
                            .foregroundStyle(.green)
                        Text(item)
                            .swipeActions {
                                Button(role: .destructive, action: {
                                    delete(todo: item)
                                }) {
                                    Text("Delete")
                                }
                            }
                    }
                }
            }
        }
    }
    
    func delete(item: String) {
        fruits.removeAll(where: {$0 == item})
    }
    func delete(todo: String) {
        todos.removeAll(where: {$0 == todo})
    }
}

#Preview {
    Lists()
}
