//
//  Modifiers.swift
//  SwiftUI for beginners
//
//  Created by Johan Sas on 27/08/2024.
//

import SwiftUI

struct Modifiers: View {
    var body: some View {
        Text("Hello, Developers!")
            .font(.system(size: 30))
            .foregroundStyle(.green)
            .highlighted()
        RoundedRectangle(cornerRadius: 15)
            .fill(.blue)
            .frame(width: 300, height: 250)
            .highlighted()
        Circle()
            .fill(.green)
            .frame(width: 50, height: 50)
            .onTapGesture {
                print("Circle Tapped")
            }
        
    }
}

struct HighLightedText: ViewModifier {
    func body(content: Content) -> some View {
        content
            .padding()
            .background(.yellow)
            .clipShape(RoundedRectangle(cornerRadius: 15))
            .shadow(radius: 5)
    }
}

extension View {
    func highlighted() -> some View {
        self.modifier(HighLightedText())
    }
}

#Preview {
    Modifiers()
}
