//
//  Navigation.swift
//  SwiftUI for beginners
//
//  Created by Johan Sas on 28/08/2024.
//

import SwiftUI

struct Navigation: View {
    var body: some View {
        NavigationStack {
            ScrollView {
                Text("Welcome to the Homescreen")
                    .padding(.top, 50)
                    .navigationTitle("Home")
                    .navigationBarTitleDisplayMode(.automatic)
                    .toolbar {
                        ToolbarItem(placement: .topBarLeading) {
                            Button(action: {
                                
                            }) {
                                Image(systemName: "bell")
                            }
                        }
                        ToolbarItem(placement: .topBarTrailing) {
                            Button(action: {
                                
                            }) {
                                Image(systemName: "gear")
                            }
                        }
                    }
                
                NavigationLink(destination: DestinationView(message: "The new iPhone 16 Pro Max Iltra is going to launch this year!")) {
                    Text("Go to Details")
                        .foregroundStyle(.white)
                        .padding()
                        .background(.blue)
                        .clipShape(RoundedRectangle(cornerRadius: 15))
                        .padding(.top, 20)
                }
            }
        }
    }
}

#Preview {
    Navigation()
}
