//
//  Pickers.swift
//  SwiftUI for beginners
//
//  Created by Johan Sas on 28/08/2024.
//

import SwiftUI

struct Pickers: View {
    
    @State var colors = ["Green", "Blue", "Red", "Purple", "Orange"]
    @State var selectedColor = "Black"
    
    var body: some View {
        VStack {
            Text("Choose your Favorite Color")
            Picker("Choose your Color", selection: $selectedColor) {
                ForEach(colors, id:\.self) {
                    Text($0)
                }
            }.pickerStyle(SegmentedPickerStyle())
                .padding()
            Text("Your color is: \(selectedColor)")
        }
    }
}

#Preview {
    Pickers()
}
