//
//  Stacks.swift
//  SwiftUI for beginners
//
//  Created by Johan Sas on 27/08/2024.
//

import SwiftUI

struct Stacks: View {
    var body: some View {
        VStack {
            VStack(alignment: .center, spacing: 20) {
                Image("design2")
                    .resizable()
                    .aspectRatio(contentMode: .fill)
                    .frame(width: 300, height: 200)
                Text("Some cool App design")
                
            }.padding()
            HStack(spacing: 20) {
                Image("design")
                    .resizable()
                    .aspectRatio(contentMode: .fill)
                    .frame(width: 200, height: 100)
                Text("This is the design of our new podcast app")
                    .multilineTextAlignment(.leading)
            }.padding(20)
        }
        
        ZStack {
            Image(systemName: "circle.fill")
                .foregroundStyle(.yellow)
                .font(.system(size: 100))
            Text("SwiftUI")
                .foregroundStyle(.white)
                .font(.title)
        }
        
    }
}

#Preview {
    Stacks()
}
