//
//  State Management.swift
//  SwiftUI for beginners
//
//  Created by Johan Sas on 27/08/2024.
//

import SwiftUI

struct State_Management: View {
    
    @State var isOn: Bool = false
    
    var body: some View {
        VStack {
            Toggle(isOn: $isOn) {
                Text("Switch Me")
            }.padding()
            
            if isOn {
                Text("The Switch is on")
                    .foregroundStyle(.green)
            } else {
                Text("The Switch is off")
                    .foregroundStyle(.red)
            }
            
        }.padding()
    }
}

#Preview {
    State_Management()
}
