//
//  TextFields.swift
//  SwiftUI for beginners
//
//  Created by Johan Sas on 27/08/2024.
//

import SwiftUI

struct TextFields: View {
    
    @State var name: String = ""
    @State var email: String = ""
    var body: some View {
        
        VStack {
            TextField("Enter your name", text: $name)
                .padding()
                .background(Color(white: 0.9))
                .clipShape(RoundedRectangle(cornerRadius: 15))
                .padding(.horizontal)
            Text("Hello: \(name)")
                .font(.largeTitle)
        }
        
        VStack {
            TextField("Email", text: $email)
                .textFieldStyle(RoundedBorderTextFieldStyle())
                .padding()
                .keyboardType(.emailAddress)
                .textInputAutocapitalization(.none)
                .padding(.horizontal)
            Text("Your email: \(email)")
                .padding(.top, 20)
        }
    }
    
}

#Preview {
    TextFields()
}
